### A free/open-source library for quantitative finance

Classes | Typedefs
ql/termstructures/yield/zerocurve.hpp File Reference

interpolated zero-rates structure More...

`#include <ql/termstructures/yield/zeroyieldstructure.hpp>`
`#include <ql/termstructures/interpolatedcurve.hpp>`
`#include <ql/math/interpolations/linearinterpolation.hpp>`
`#include <ql/math/comparison.hpp>`
`#include <ql/utilities/dataformatters.hpp>`
`#include <utility>`
Include dependency graph for zerocurve.hpp:

## Classes

class | InterpolatedZeroCurve< Interpolator >
| YieldTermStructure based on interpolation of zero rates. More...

## Typedefs

typedef InterpolatedZeroCurve < Linear > | ZeroCurve
| Term structure based on linear interpolation of zero yields.

## Detailed Description

interpolated zero-rates structure